Subject: [ericas] Western, individualist conception of things (was: A suggestion for the Tao of the IETF)

From: S Moonesamy <[email-masked]>
Date: Fri, 21 Jun 2013 05:39:13 -0700

Hi Richard,
At 12:44 18-06-2013, Richard Barnes wrote:
>Now, having finished that rant: I appreciate that the above is a 
>pretty Western, individualist conception of things.  I realize that 
>for some other people, official

I was thinking about the Western, individualist conception of things 
mentioned above.  I was part of the Applications Area Review 
Team.  When I took over the team was not performing any 
reviews.  After about a year the team performed all the reviews it 
was assigned.  The Security Directorate has an 80% rate.   The team 
did 100%.  I asked the Area Directors to create a directorate.  They 
immediately said yes.

I looked up the membership of a few other directorates today and 
noticed that there wasn't anyone from China or Japan.  I went to one 
meeting and I was able to find people from Asia and emerging regions 
to volunteer for IETF work.

I saw someone from an emerging region having a difficult time in a 
working group.  Only one person stepped forward to help him.

I had a chat with someone from an open source project.  The person 
said to someone: "I would like you to come to our event, don't worry 
about money as we'll see about that".  I have not heard people from 
the IETF saying that.  There was a recent thread about "stuck getting 
visas".  I didn't see people from the IETF saying "don't worry we can 
see about that".

Humberto asked the following question: "If there is anybody in this 
mail list from big vendors like Juniper, Cisco, Extreme, and others, 
please let me know what you have done to stimulate your engineers 
from emerging countries to get involved with IETF".  There wasn't any 
reply.  There was a similar question on the IETF discussion mailing 
list.  There wasn't any answer to it.

Regards,
S. Moonesamy

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 21 Jun 2013 19:24:11 +0530

On Fri, Jun 21, 2013 at 6:09 PM, S Moonesamy <[email-masked]> wrote:

>
> Humberto asked the following question: "If there is anybody in this mail
> list from big vendors like Juniper, Cisco, Extreme, and others, please let
> me know what you have done to stimulate your engineers from emerging
> countries to get involved with IETF".  There wasn't any reply.  There was a
> similar question on the IETF discussion mailing list.  There wasn't any
> answer to it.
>

I also consider this as an issue, huge number of engineers are working for
vendors in the emerging region.  Take Bangalore for an example all big
vendors have big RnD centre out here but the number of regular IETF
participation is still low.

It is indeed harder to justify the travels to management sometimes, esp
when dealing with project deadlines etc, The IETF regulars working for big
vendors can take steps to change that mindset.

There has been plans of mentoring in the IETF, vendors should do that
internally and get some geographically dispersed, diverse participants to
the IETF.

Regards,
Dhruv

---

From: Vinayak Hegde <[email-masked]>
Date: Fri, 21 Jun 2013 22:19:56 +0530

> internally and get some geographically dispersed, diverse participants to

I agree with Dhruv. There are quite a few networking companies that have
offices in India. In my trips to the IETF, I have met with a few engineers
from Bangalore who are authoring drafts. It is an encouraging trend though
quite miniscule when compared with the headcount of these companies. The
major problems with many companies to send engineers to the IETF is
three-fold.

1. Many of the engineers are doing low-end work in the development
life-cycle such as maintainence. Many of these engineers are also junior
with less experience than some of the engineers from the US. So while they
may co-author the draft with someone from the US/Europe, the other authors
attend.

2. IETF meetings are expensive to travel to and attend. As many of the
India R&D centers are seen as cost centers, it becomes hard for management
to justify that expense. Doesn't help when you look at the overall expense
of attending the meeting is a significant percentage of what engineers get
paid in India. It doesn't help that out currency has lost > 10% of it's
value in the last few weeks Vs the dollar.

3. There is a general lack of awareness of IETF and ISOC activities.

We can't fix the 1st 2 easily but something can be done about the 3rd part.

-- Vinayak

---

From: Vinayak Hegde <[email-masked]>
Date: Fri, 21 Jun 2013 22:44:41 +0530

On Fri, Jun 21, 2013 at 6:09 PM, S Moonesamy <[email-masked]> wrote:

>> Now, having finished that rant: I appreciate that the above is a pretty
>> Western, individualist conception of things.  I realize that for some other
>> people, official
>>
>
> mentioned above.  I was part of the Applications Area Review Team.  When I
> took over the team was not performing any reviews.  After about a year the
> team performed all the reviews it was assigned.  The Security Directorate
> has an 80% rate.   The team did 100%.  I asked the Area Directors to create
> a directorate.  They immediately said yes.
>
> I looked up the membership of a few other directorates today and noticed
> that there wasn't anyone from China or Japan.  I went to one meeting and I
> was able to find people from Asia and emerging regions to volunteer for
> IETF work.
>

Well I wouldn't blame anyone for this. It is hard to get volunteers for any
directorate. I am part of the performance directorate. It has been really
hard to recruit volunteers for this group (yes some of the work is niche -
which doesn't help). We have a lot of pending reviews and the same faces
have been raising hands for a couple of years when doing reviews. Let me
know if there are any good strategies to overcome this.

I saw someone from an emerging region having a difficult time in a working
> group.  Only one person stepped forward to help him.
>
> I had a chat with someone from an open source project.  The person said to
> someone: "I would like you to come to our event, don't worry about money as
> we'll see about that".  I have not heard people from the IETF saying that.
>  There was a recent thread about "stuck getting visas".  I didn't see
> people from the IETF saying "don't worry we can see about that".
>

Again, there is only so much that the IETF can do about this honestly. IMHO
IETF does a decent job at this with letters of invitation and other stuff.
I have never had any issues with the IETF for this.

That said, I have done a bit of travelling myself. Many people from the
western world do not have any idea about the amount of pain one has to go
through for something they take for granted (or even bother). Just ask
someone young from a developing country who has applied for a visa to the
US / Europe (Schengen). Last year, my company submitted almost 250 pages of
documentation to get a single entry visa. I just applied for the Schengen
visa to Berlin, Germany. It took me 3 days to get all the documents
necessary to get the visa. I will know soon if I am flying. And I have to
do this every year for every meeting that I attend. The US visa is painful
but atleast you get a longer duration easily not so with Europe. I spent
around $120 overall (other than time) for the visa.

> similar question on the IETF discussion mailing list.  There wasn't any

Honestly there are a lot of armchair revolutionaries on the main IETF
mailing list, who like to pontificate from the pulpit. Sad but true.

-- Vinayak

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Fri, 21 Jun 2013 18:25:06 +0000

On Jun 21, 2013, at 5:39 AM, S Moonesamy <[email-masked]> wrote:

> Humberto asked the following question: "If there is anybody in this mail list from big vendors like Juniper, Cisco, Extreme, and others, please let me know what you have done to stimulate your engineers from emerging countries to get involved with IETF".  There wasn't any reply.  There was a similar question on the IETF discussion mailing list.  There wasn't any answer to it.

I can discuss this from a Cisco perspective, although of course not to be taken as a formal statement from the company. I will wonder what a general IETF question has to do with an IRTF RG, but I'll let that go.

Cisco has about 450 buildings worldwide; a large cluster are in San Jose California, but we have engineering offices in Massachusetts, North Carolina, Texas, Ireland, Scotland, England, Holland, France, Switzerland, Israel, India, China, and Japan (and probably some other places I haven't thought of; this is off the top of my head). We don't think of them as being in, or not in, developing countries; we think of them as being the locations of engineering groups. If a given engineering group has need for standards work, that engineering group is on the hook to do it. If that means someone from Bangalore needs to attend an IETF meeting, someone from Bangalore needs to attend an IETF meeting.

I'll give you one specific instance. I was asked to consider being a mentor for an ISOC Fellow that worked for Cisco in India. I contacted the guy, his manager, and Steve Conte, who manages Fellows for ISOC. I thought it was great that the guy wanted to attend, and I told him I would mentor him. But we get into an interesting problem with the fact that we send money to ISOC as a 501(c)3; we can't be seen as deriving benefit from that, and I could imagine an interesting audit outcome. I told the guy's manager that he needed to belly up to the travel expense. The guy came. We have had other engineers from Cisco in India attend as well.

I think the question got no answer because it was malformed. The better question would be "do companies X, Y, and Z have engineering offices in developing countries and expect engineers there to be involved in standards work when appropriate?" The answer, from Cisco and I imagine from our competitors, would be "yes".

---

From: Vinayak Hegde <[email-masked]>
Date: Sat, 22 Jun 2013 00:01:47 +0530

On Fri, Jun 21, 2013 at 11:55 PM, Fred Baker (fred) <[email-masked]> wrote:

> I can discuss this from a Cisco perspective, although of course not to be
> taken as a formal statement from the company. I will wonder what a general
> IETF question has to do with an IRTF RG, but I'll let that go.
>
> Cisco has about 450 buildings worldwide; a large cluster are in San Jose
> California, but we have engineering offices in Massachusetts, North
> Carolina, Texas, Ireland, Scotland, England, Holland, France, Switzerland,
> Israel, India, China, and Japan (and probably some other places I haven't
> thought of; this is off the top of my head). We don't think of them as
> being in, or not in, developing countries; we think of them as being the
> locations of engineering groups. If a given engineering group has need for
> standards work, that engineering group is on the hook to do it. If that
> means someone from Bangalore needs to attend an IETF meeting, someone from
> Bangalore needs to attend an IETF meeting.
>
> I'll give you one specific instance. I was asked to consider being a
> mentor for an ISOC Fellow that worked for Cisco in India. I contacted the
> guy, his manager, and Steve Conte, who manages Fellows for ISOC. I thought
> it was great that the guy wanted to attend, and I told him I would mentor
> him. But we get into an interesting problem with the fact that we send
> money to ISOC as a 501(c)3; we can't be seen as deriving benefit from that,
> and I could imagine an interesting audit outcome. I told the guy's manager
> that he needed to belly up to the travel expense. The guy came. We have had
> other engineers from Cisco in India attend as well.
>
> I think the question got no answer because it was malformed. The better
> question would be "do companies X, Y, and Z have engineering offices in
> developing countries and expect engineers there to be involved in standards
> work when appropriate?" The answer, from Cisco and I imagine from our
> competitors, would be "yes".

Interestingly of the two/three other Indians I met at Maastricht one was
mentored by Fred (Raj Singh / Cisco) and another by Lars (Varun Singh).
Thanks guys. The only other guy was a researcher from S. Korea whose mentor
was also a IETF contributor. Maybe some of you should chime in on the
mentorship thread on IETF mailing list.

-- Vinayak

---

From: S Moonesamy <[email-masked]>
Date: Fri, 21 Jun 2013 14:21:07 -0700

Hi Vinayak,

I am posting this message from an email address so that it is easy 
for you to find out who pays me.  You can determine whether my 
employer will derive any benefit from what I say or do.

At 10:14 21-06-2013, Vinayak Hegde wrote:
>Well I wouldn't blame anyone for this. It is hard to get volunteers 
>for any directorate. I am part of the performance directorate. It 
>has been really hard to recruit volunteers for this group (yes some 
>of the work is niche - which doesn't help). We have a lot of pending 
>reviews and the same faces have been raising hands for a couple of 
>years when doing reviews. Let me know if there are any good 
>strategies to overcome this.

I agree that it is hard to find people who will volunteer.  I too 
encountered the problem where the same people were raising their 
hands to do reviews.  There are a lot of situations which are 
designed in such a way that nobody can be blamed.  This is where I 
would look at who gets credit when things work fine as it is a good 
way to find out who is to blame.

>Again, there is only so much that the IETF can do about this 
>honestly. IMHO IETF does a decent job at this with letters of 
>invitation and other stuff. I have never had any issues with the IETF for this.

I and several other persons had to complain for years.  The IAOC 
finally took that decision.  There are several other things affecting 
people from emerging regions which I had to complain about several 
times as the suggestions were ignored.

>That said, I have done a bit of travelling myself. Many people from 
>the western world do not have any idea about the amount of pain one 
>has to go through for something they take for granted (or even 
>bother). Just ask someone young from a developing country who has

I think that one of the problems is what you said above.  People do 
not have any idea about the amount of pain one has to go to and they 
take a lot of things for granted.

>Honestly there are a lot of armchair revolutionaries on the main 
>IETF mailing list, who like to pontificate from the pulpit. Sad but true.

Yes.  Some people make pompous speeches at the microphone.  Some 
people from emerging regions are impressed by the speeches or the 
title of the person and believe that what is being said is true.

I don't know whether Adrian Farrel is subscribed to this mailing 
list.  I would like to thank Mr Farrel for doing something instead of 
asking me a lot of questions to avoid doing something I asked. :-)

Regards,
S. Moonesamy

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 22 Jun 2013 06:15:54 +0100

Hello SM,

No, I'm not subscribed to ericas (I probably should be, please send extra hours
for me to include in my day). And, yes, it is wonderful to thanked for
something.

While we are patting each other on the back, thanks to SM for introducing me to
Ines Robles who is now doing a fine job as working group secretary for the ROLL
working group in the IETF even while still learning about the IETF.

The "pain in travel" issue is amusing to me. It is completely true that folk in
many places do not fully grok the difficulties of travel. It took a number of
years of shouting and screaming to get the wider IETF to understand that having
IETF meetings in the US imposed a bar to participation from China because a
percentage of visa applications were always refused, and because the visa
application period (which is sometimes greater than four months) is prohibitive
because the IETF meeting venues (i.e. hotels) were not announced with sufficient
warning, and it is anyway unreasonable to expect someone to be without their
passport for four months. This accounts for why we have so many meetings in
Canada (it is North America without being the US).

At the same time, if you ask one of the old-time US participants about where to
hold IETF meetings, they will pretty much always whine about the pain and cost
of travel to locations outside of North America (but will put up with Europe if
it is a good tourist location at a nice time of year). So, they *do* understand
some (not all) of the pain of travel, but have a problem with projection and
empathy :-) Not surprising as a large percentage of the IETF are on the autistic
spectrum!!

But, while thanking me is great, I also think you should be telling me I don't
do enough. Yes, I have tried to push this issue hard in the four years I have
been an AD.  But, it is clear to me that this is not enough. 

The rise in Chinese participation is a great success story. But is it clear to
me that this was driven just as much by industry in China being determined to
become a world player, than it was in any way driven by the IETF becoming a more
welcoming place. Maybe the *effectiveness* of Chinese participation was improved
by a number of people working hard in the IETF to provide education. Yet where
is the participation from Africa and South America? Why don't we see that?

Actually, ISOC reports to me that a run-on from the ISOC policy fellows program.
Apparently there are some moves from African nations who sent policy fellows a
few meetings ago (Paris, I think) to send engineers to the next few meetings. I
don't kid myself this is more than a trickle, but one does have to start
somewhere.

The things that I am unable to help with are the things where I don't know what
the problems are, and where I don't know what would help. I am going to guess
that holding an IETF in Cape Town would not be significantly easier for
participants from Morocco than an IETF in Paris. I am also going to guess that
an IETF in Israel would not be a great help for participants from Libya. But I
am also going to make the bold statement that physical participation should not
be our primary goal on day one (of course it would be wonderful and remains a
long-term aim). I want to work out how we raise awareness of the IETF, and how
we get people to start to participate via the mailing lists.

A real dream would be to have an IETF working group formed entirely out of
remote participation (which would completely facilitate people in *any*
country). People post Internet-Drafts; there is a mailing list for discussions;
a good consensus is built; the AD forms a working group; RFCs are published.
There is  zero reason why this should not happen. So what are we missing for
this? Answer: we lack active remote participants, and in particular, we lack
remote participants with pressing requirements that need to be solved and a
willingness/ability to articulate those problems.

Tell me please: what would it take? why doesn't this happen?  Is it lack of
awareness/education about the IETF?  Is it lack of technical skills?  Is it
because all the problems are actually being solved anyway?  Are there barriers
of language?

And please tell me what else is needed? Perhaps the way to look at this is to
draw up a wish-list and to try to order it by things that would make most
difference. Given that each new thing or process change costs (in terms of time,
effort, and reduction in lifespan) it is worth us taking the time to pick off
the most valuable things first (although it may also be worth the time to pick
off low-hanging fruit as well).

Time to stop rambling and get back to work.

Cheers,
Adrian

PS. And if the transparency is needed, Juniper Networks funds me to be an IETF
Area Director.

> -----Original Message-----
> From: S Moonesamy [mailto:[email-masked]]
> Sent: 21 June 2013 22:21
> To: Vinayak Hegde
> Cc: [email-masked]; Adrian Farrel
> Subject: Re: [ericas] Western, individualist conception of things (was: A
> suggestion for the Tao of the IETF)
> 
> Hi Vinayak,
>

---

From: S Moonesamy <[email-masked]>
Date: Sat, 22 Jun 2013 10:04:46 -0700

Hi Adrian,
>working group in the IETF even while still learning about the IETF.

I'll copy this message to Ines. :-)

>empathy :-) Not surprising as a large percentage of the IETF are on 

Yes.

>been an AD.  But, it is clear to me that this is not enough.

I only ask for the impossible.  As you have been able to do that I 
cannot say that you don't do enough. :-)

>welcoming place. Maybe the *effectiveness* of Chinese participation 

Yes.

>is the participation from Africa and South America? Why don't we see that?

There are a number of people in the IETF who have worked hard to 
bring in participants from China.  However, participation from China 
is not as effective as it could be.

This is a guess.  I would not consider all the countries of South 
America as similar.  I expected more participation from South 
America.  Most of the people from emerging regions I spent time with 
were from South America.  I think that they can do a lot more within 
the IETF.  My rough guess is that the IETF might have been trying to 
solve the problem the wrong way.  I don't know the right 
way.  Participation from Africa is depressing.  If the IETF keep 
getting the wrong people it is not possible to do anything.

>don't kid myself this is more than a trickle, but one does have to start

It's not going to work. :-)

>participants from Morocco than an IETF in Paris. I am also going to guess that

Yes.

>an IETF in Israel would not be a great help for participants from Libya. But I

Yes. :-)

>we get people to start to participate via the mailing lists.

There was a message from Thomas Narten to the diversity mailing 
list.  I read it again yesterday and realized that I missed what he 
was saying.  I think that there is part of what you would like to see 
in that message. I do not have a plan.  The rough idea itself is very 
risky and has a very low probability of success.

>a good consensus is built; the AD forms a working group; RFCs are published.

The working group I am involved in did a variation of the above.  We 
avoided physical participation as far as possible.  It's an unusual 
case though.

>willingness/ability to articulate those problems.

Yes.

>because all the problems are actually being solved anyway?  Are there barriers

There would have to be people who are committed to do the 
work.  There would have to be working group chairs who you can blame 
when the work is not being done.  There would have to be Area 
Directors who I can fire when their working groups do not deliver the 
work they are supposed to do.  It is a lack of accountability.  It is 
because the technical skills are not fully utilized.  There is a 
language barrier even though we are both writing in English.

All the problems are not being solved.  We don't admit failure; we 
call it a success.  If you have to spend four years trying hard to 
push an issue something is not right.

>off low-hanging fruit as well).

I like the idea of writing a list of things we would like to have and 
ordering the list by what would make the most difference.  Somebody 
would have to pick the low-hanging fruit as his/her 
priority.  Somebody would have to pick off the most valuable things 
first.  I would not list getting more participation from emerging 
regions as the most valuable thing.  After thinking about it for a 
minute I would order the pick off the most interesting thing 
first.  I cannot think of anything interesting at the moment.  Maybe 
I could pick the real dream (see above).

Your message is interesting.  I will read it again.

Regards,
S. Moonesamy

---

From: Vinayak Hegde <[email-masked]>
Date: Sun, 23 Jun 2013 22:01:53 +0530

On Sat, Jun 22, 2013 at 2:51 AM, S Moonesamy <[email-masked]> wrote:

> Hi Vinayak,
>
> I am posting this message from an email address so that it is easy for you
> to find out who pays me.  You can determine whether my employer will derive
> any benefit from what I say or do.

Not sure why this is necessary. I am not doubting your intentions.

>> someone young from a developing country who has
>>
>
> I think that one of the problems is what you said above.  People do not
> have any idea about the amount of pain one has to go to and they take a lot
> of things for granted.
>

This just came in the news - Indians visiting the UK will not have to
deposit a 3000 British Pound bond to visit the UK.
http://www.thehindu.com/news/international/indians-to-pay-3000-cash-bond-deposit-for-uk-visa/article4843455.ece

Just to give an idea, this is 3 months (or more) salary for a mid-level
engineer. Luckily it does not seem to apply for short visits like IETF
meetings.

-- Vinayak

---

From: Joe Abley <[email-masked]>
Date: Mon, 24 Jun 2013 13:38:10 -0400

On 2013-06-23, at 12:31, Vinayak Hegde <[email-masked]> wrote:

> This just came in the news - Indians visiting the UK will not have to deposit a 3000 British Pound bond to visit the UK.

Actually, the article suggests that Indians visiting the UK *will* have to deposit a GBP 3000 bond.

Joe